Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ActorControl Class Reference
Inheritance diagram for ActorControl:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| disableControl (self)
| displayFrameCounts (self)
| displaySeconds (self)
| enableControl (self)
| goTo (self, t)
| goToF (self, f)
| goToT (self, t)
| nextFrame (self)
| play (self, deltaT, fLoop)
| previousFrame (self)
| resetToEnd (self)
| resetToZero (self)
| selectAnimNamed (self, name)
| setOffset (self)
| setPlayRate (self, rate)
| updateDisplay (self)

## Public Attributes
| animMenu
float | currT = 0.0
int | duration = 0
int | fOneShot = 0
int | fps = 24
| frameActiveVar = IntVar()
| frameControl
int | fScaleCommand = 0
int | maxFrame = 0
| maxLabel
float | maxSeconds = 1.0
| minLabel
float | offset = 0.0
float | playRate = 1.0
| unitsVar = IntVar()

## Protected Member Functions
| _updateLabelText (self)

## Protected Attributes
| _label

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ _updateLabelText()

_updateLabelText | ( |  | self | ) |
| protected

## ◆ disableControl()

disableControl | ( |  | self | ) |

## ◆ displayFrameCounts()

displayFrameCounts | ( |  | self | ) |

## ◆ displaySeconds()

displaySeconds | ( |  | self | ) |

## ◆ enableControl()

enableControl | ( |  | self | ) |

## ◆ goTo()

goTo | ( |  | self,
|  |  | t )

## ◆ goToF()

goToF | ( |  | self,
|  |  | f )

## ◆ goToT()

goToT | ( |  | self,
|  |  | t )

## ◆ nextFrame()

nextFrame | ( |  | self | ) |

    There needed to be a better way to select an exact frame number
    as the control slider doesn't have the desired resolution

## ◆ play()

play | ( |  | self,
|  |  | deltaT,
|  |  | fLoop )

## ◆ previousFrame()

previousFrame | ( |  | self | ) |

    There needed to be a better way to select an exact frame number
    as the control slider doesn't have the desired resolution

## ◆ resetToEnd()

resetToEnd | ( |  | self | ) |

## ◆ resetToZero()

resetToZero | ( |  | self | ) |

## ◆ selectAnimNamed()

selectAnimNamed | ( |  | self,
|  |  | name )

## ◆ setOffset()

setOffset | ( |  | self | ) |

## ◆ setPlayRate()

setPlayRate | ( |  | self,
|  |  | rate )

## ◆ updateDisplay()

updateDisplay | ( |  | self | ) |

## Member Data Documentation

## ◆ _label

_label
| protected

Initial value:
= self.createcomponent(
'label', (), None,
Menubutton, (interior,),
font=('MSSansSerif', 14, 'bold'),
relief = RAISED, bd = 1,
activebackground = '#909090',
text = self['text'])

## ◆ animMenu

animMenu

Initial value:
= self.createcomponent(
'animMenu', (), None,
Pmw.ComboBox, (interior,),
labelpos = W, label_text = 'Anim:',
entry_width = 12, selectioncommand = self.selectAnimNamed,
scrolledlist_items = self['animList'])

## ◆ currT

currT = 0.0

## ◆ duration

duration = 0

## ◆ fOneShot

int fOneShot = 0

## ◆ fps

fps = 24

## ◆ frameActiveVar

frameActiveVar = IntVar()

## ◆ frameControl

frameControl

Initial value:
= self.createcomponent(
'scale', (), None,
Scale, (frameFrame,),
from_ = 0, to = 24, resolution = 1.0,
command = self.goTo,
orient = HORIZONTAL, showvalue = 1)

## ◆ fScaleCommand

int fScaleCommand = 0

## ◆ maxFrame

maxFrame = 0

## ◆ maxLabel

maxLabel

Initial value:
= self.createcomponent(
'maxLabel', (), 'sLabel',
Label, (frameFrame,),
text = 24)

## ◆ maxSeconds

maxSeconds = 1.0

## ◆ minLabel

minLabel

Initial value:
= self.createcomponent(
'minLabel', (), 'sLabel',
Label, (frameFrame,),
text = 0)

## ◆ offset

float offset = 0.0

## ◆ playRate

float playRate = 1.0

## ◆ unitsVar

unitsVar = IntVar()